<digi-layout-block>
	<digi-typography-heading-jumbo
		af-text="Länk knappar"
	></digi-typography-heading-jumbo>
</digi-layout-block>

<div class="row">
  <p>Liten knapp <i>(fullbredd)</i></p>
  <digi-link-button
    af-link-container="true"
    af-size="medium"
    af-variation="primary"
    af-fullwidth="true"
  >
    <a href="/" [routerLink]="['/']">
      Jag är en lååång länk
      <digi-icon-chevron-right></digi-icon-chevron-right>
    </a>
  </digi-link-button>
</div>
<div class="row">
  <p>Liten knapp <i>(utan ikon)</i></p>
  <digi-link-button
    af-link-container="true"
    af-size="medium"
    af-variation="primary"
    af-hide-icon="true"
  >
    <a href="/" [routerLink]="['/']">
      Jag är en ensam länk
      <digi-icon-chevron-right></digi-icon-chevron-right>
    </a>
  </digi-link-button>
</div>
<div class="row">
  <p>Liten knapp</p>
  <digi-link-button
    af-link-container="true"
    af-size="medium"
    af-variation="primary"
  >
    <a href="/" [routerLink]="['/']">
      Jag är en liten länk
      <digi-icon-chevron-right></digi-icon-chevron-right>
    </a>
  </digi-link-button>
</div>
<div class="row">
  <p>Mellan knapp</p>
  <digi-link-button
    af-link-container="true"
    af-size="medium-large"
    af-variation="primary"
  >
    <a href="/" [routerLink]="['/']">
      Jag är en mellan länk
      <digi-icon-chevron-right></digi-icon-chevron-right>
    </a>
  </digi-link-button>
</div>
<div class="row">
  <p>Stor knapp</p>
  <digi-link-button
    af-link-container="true"
    af-size="large"
    af-variation="primary"
  >
    <a href="/" [routerLink]="['/']">
      Jag är en stor länk
      <digi-icon-chevron-right></digi-icon-chevron-right>
    </a>
  </digi-link-button>
</div>
